WinCVS和不同版本Python的配合问题

原创 2005年02月26日 14:35:00

WinCVS和不同版本Python的配合问题
我以前也碰到过,明明安装了Python,可WinCVS就是不认,只有重新安装,这次安装了Python 2.4,又碰到这种情况。还好,在网上找到了解决方式。

以下是引用:

=========================================================

Wincvs不认识Python 2.4怎么办?
    虽然yayv已经开始用subversion做版本管理了,但新公司统一使用的cvs和wincvs,不过,他们都不用python,没办法,自己装一个吧。
    要装Python当然要装最新的Python2.4 版本了,Python 2.4 已经正式发布了。下载,安装,一切顺利,可是在启动wincvs的时候却被提示

没有找到Python!!!这是怎么回事?
    仔细考虑,原来,wincvs找的是python21.dll,好说,给Python24.dll复制一份改个名字不就OK了?可是,wincvs却出现了 Runtim Error ,并直接退出了。:(
    仔细看一下,原来wincvs的选项中可以使用指定的python,在选项页,指定 python24.dll这个文件,然后就没有问题了~
   
    如此低级的错误。
=========================================================

具体的操作是:

wincvs菜单:Admin->Preference->
弹出的配置窗口:
WinCVS 标签:
第三行:Python  (python24.dll 在 windows/system32下)
第四行是:TCL DLL

 

python多版本的pip共存问题解决办法

pythonpip多版本问题情景最开始学python的时候用的是py2,且一直用pip来安装库函数。后来py3出来了,所以就装上了,但是一装上出问题了,主要有两个主要的问题。下面将详细说明。一、pyt...
  • qq_17365907
  • qq_17365907
  • 2017年03月26日 11:28
  • 2063

JDK和Tomcat部署时,版本不同的问题解决

JSP文件在Windows端编译启动访问成功,部署到Linux访问不到。遇到下面问题org.eclipse.jdt.internal.compiler.classfmt.ClassFormatExce...
  • s445320
  • s445320
  • 2016年07月24日 23:40
  • 10228

合并不同版本的Eclipse

一直以来都是用Eclipse IDE for Java and DSL Developers版本,这个版本没有集成J2EE的一些内容。官方提供另一个针对J2EE的版本,Eclipse IDE for ...
  • qinxiandiqi
  • qinxiandiqi
  • 2014年06月12日 10:08
  • 1451

GDAL在不同python版本下的编译问题

对于GDAL相信大家都很熟悉,其在python下的编译也很成熟,详细可以参考李民录专家的博文--《GDAL源码剖析(三)之Swig编译和帮助文档生成》,完成后会在python安装目录下的Lib\sit...
  • zhangwei_zone
  • zhangwei_zone
  • 2013年05月02日 23:13
  • 1031

aspen plus不同版本间的打开问题

  • 2014年01月14日 09:57
  • 13KB
  • 下载

不同SQL Server版本间的数据库恢复问题收藏

  • 2009年06月26日 16:58
  • 15KB
  • 下载

解决不同版本IE浏览器兼容问题

  • 2012年02月08日 16:59
  • 68KB
  • 下载

关于在anaconda中切换不同的python版本

在网上搜了半天,大致的方案为两种,一种是安装两个anaconda,但一个就已经很大了,所以我采取的是第二种,先安装anaconda3,目前默认的环境是python3.6,然后在里面安装环境,打开ana...
  • my_kingdom
  • my_kingdom
  • 2017年04月03日 11:29
  • 1074

Windows系统下如何在cmd命令窗口中切换不同版本Python

针对在同一系统下我们可能安装多个版本的Python,毕竟Python2.7与Python3.5还是有不同的需求,但是在用Cmd命令窗口是我们可能默认的系统变量环境是其中一个版本,当我们需要在cmd命令...
  • ZYX19950825
  • ZYX19950825
  • 2017年03月13日 15:39
  • 9342

在不同版本python下安装tensorflow

tensorflow现在windows只支持python3.5,所以版本注意下 我的电脑是装了conda2,conda3 安装前先参考之前我写的一片博文,conda2和conda3共存使用,不同版本下...
  • silence2015
  • silence2015
  • 2017年06月27日 11:57
  • 3657
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:WinCVS和不同版本Python的配合问题
举报原因:
原因补充:

(最多只允许输入30个字)